Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::RequestInfo Interface Reference

Inheritance diagram for PortableInterceptor::RequestInfo

[legend]
List of all members.

## Public Methods
any | get_slot (in SlotId id) raises (InvalidSlot)
IOP::ServiceContext | get_request_service_context (in IOP::ServiceId id)
IOP::ServiceContext | get_reply_service_context (in IOP::ServiceId id)
## Public Attributes
readonly attribute unsigned long | request_id
readonly attribute string | operation
readonly attribute Dynamic::ParameterList | arguments
readonly attribute Dynamic::ExceptionList | exceptions
readonly attribute Dynamic::ContextList | contexts
readonly attribute Dynamic::RequestContext | operation_context
readonly attribute any | result
readonly attribute boolean | response_expected
readonly attribute Messaging::SyncScope | sync_scope
readonly attribute ReplyStatus | reply_status
readonly attribute Object | forward_reference

## Member Function Documentation

IOP::ServiceContext PortableInterceptor::RequestInfo::get_reply_service_context ( | in IOP::ServiceId id )

IOP::ServiceContext PortableInterceptor::RequestInfo::get_request_service_context ( | in IOP::ServiceId id )

any PortableInterceptor::RequestInfo::get_slot ( | in SlotId id ) raises (InvalidSlot)

## Member Data Documentation

readonly attribute Dynamic::ParameterList PortableInterceptor::RequestInfo::arguments

readonly attribute Dynamic::ContextList PortableInterceptor::RequestInfo::contexts

readonly attribute Dynamic::ExceptionList PortableInterceptor::RequestInfo::exceptions

readonly attribute Object PortableInterceptor::RequestInfo::forward_reference

readonly attribute string PortableInterceptor::RequestInfo::operation

readonly attribute Dynamic::RequestContext PortableInterceptor::RequestInfo::operation_context

readonly attribute ReplyStatus PortableInterceptor::RequestInfo::reply_status

readonly attribute unsigned long PortableInterceptor::RequestInfo::request_id

readonly attribute boolean PortableInterceptor::RequestInfo::response_expected

readonly attribute any PortableInterceptor::RequestInfo::result

readonly attribute Messaging::SyncScope PortableInterceptor::RequestInfo::sync_scope

The documentation for this interface was generated from the following file:

- PortableInterceptor.pidl